Make WordPress Core


Ignore:
Timestamp:
03/11/2008 07:31:19 AM (18 years ago)
Author:
matt
Message:

Abstract TinyMCE colors. Fixes #6154. Hat tip: azaozz.

File:
1 edited

Legend:

Unmodified
Added
Removed
  • trunk/wp-admin/css/colors-fresh.css

    r7230 r7232  
    518518    color: #888;
    519519}
     520
     521/* TinyMCE */
     522.wp_themeSkin *,
     523.wp_themeSkin a:hover,
     524.wp_themeSkin a:link,
     525.wp_themeSkin a:visited,
     526.wp_themeSkin a:active {
     527     color: #000;
     528}
     529
     530/* Containers */
     531.wp_themeSkin table {
     532    background: #cee1ef;
     533}
     534
     535.wp_themeSkin iframe {
     536    background: #fff;
     537}
     538
     539/* Layout */
     540.wp_themeSkin .mceStatusbar {
     541     color:#000;
     542     background-color: #eaf3fa;
     543}
     544
     545/* Button */
     546.wp_themeSkin .mceButton {
     547    background-color: #e9e8e8;
     548    border-color: #abc0fb;
     549}
     550
     551.wp_themeSkin a.mceButtonEnabled:hover,
     552.wp_themeSkin a.mceButtonActive,
     553.wp_themeSkin a.mceButtonSelected {
     554    background-color: #d6d8da;
     555    border-color: #7789ba !important;
     556}
     557
     558.wp_themeSkin .mceButtonDisabled {
     559    border-color: #bdd !important;
     560}
     561
     562/* ListBox */
     563.wp_themeSkin .mceListBox .mceText,
     564.wp_themeSkin .mceListBox .mceOpen  {
     565    border-color: #abc0fb;
     566    background-color: #e9e8e8;
     567}
     568
     569.wp_themeSkin table.mceListBoxEnabled:hover .mceOpen,
     570.wp_themeSkin .mceListBoxHover .mceOpen,
     571.wp_themeSkin .mceListBoxSelected .mceOpen,
     572.wp_themeSkin .mceListBoxSelected .mceText {
     573    border-color: #7789ba !important;
     574    background-color: #d6d8da;
     575}
     576
     577.wp_themeSkin table.mceListBoxEnabled:hover .mceText,
     578.wp_themeSkin .mceListBoxHover .mceText {
     579    border-color: #7789ba !important;
     580}
     581
     582.wp_themeSkin select.mceListBox {
     583    border-color: #b3c7e1;
     584    background-color: #fff;
     585}
     586
     587/* SplitButton */
     588.wp_themeSkin .mceSplitButton a.mceAction,
     589.wp_themeSkin .mceSplitButton a.mceOpen {
     590    background-color: #e9e8e8;
     591    border-color: #abc0fb;
     592}
     593
     594.wp_themeSkin .mceSplitButton a.mceOpen:hover,
     595.wp_themeSkin .mceSplitButtonSelected a.mceOpen,
     596.wp_themeSkin table.mceSplitButtonEnabled:hover a.mceAction,
     597.wp_themeSkin .mceSplitButton a.mceAction:hover {
     598    background-color: #d6d8da;
     599    border-color: #7789ba !important;
     600}
     601
     602.wp_themeSkin .mceSplitButtonActive {
     603    background-color: #d6d8da;
     604}
     605
     606/* ColorSplitButton */
     607.wp_themeSkin div.mceColorSplitMenu table {
     608    background-color: #ebeaeb;
     609    border-color: #808080;
     610}
     611
     612.wp_themeSkin .mceColorSplitMenu a {
     613    border-color: #808080;
     614}
     615
     616.wp_themeSkin .mceColorSplitMenu a.mceMoreColors {
     617    border-color: #fff;
     618}
     619
     620.wp_themeSkin .mceColorSplitMenu a.mceMoreColors:hover {
     621    border-color: #0A246A;
     622    background-color: #B6BDD2;
     623}
     624
     625.wp_themeSkin a.mceMoreColors:hover {
     626    border-color: #0A246A;
     627}
     628
     629/* Menu */
     630.wp_themeSkin .mceMenu {
     631    border-color: #ddd;
     632}
     633
     634.wp_themeSkin .mceMenu table {
     635    background-color: #ebeaeb;
     636}
     637
     638.wp_themeSkin .mceMenu .mceText {
     639    color: #000;
     640}
     641
     642.wp_themeSkin .mceMenu .mceMenuItemEnabled a:hover,
     643.wp_themeSkin .mceMenu .mceMenuItemActive {
     644    background-color: #CEE1EF;
     645}
     646.wp_themeSkin td.mceMenuItemSeparator {
     647    background-color: #aaa;
     648}
     649.wp_themeSkin .mceMenuItemTitle a {
     650    background-color: #ccc;
     651    border-bottom-color: #aaa;
     652}
     653.wp_themeSkin .mceMenuItemTitle span.mceText {
     654    color: #000;
     655}
     656.wp_themeSkin .mceMenuItemDisabled .mceText {
     657    color: #888;
     658}
Note: See TracChangeset for help on using the changeset viewer.